version: 0.0
os: linux
files:
  - source: /
    destination: /var/www/html/
hooks:
  BeforeInstall:
#   - location: scripts/install_dependencies.sh
#      timeout: 300
#      runas: root
  AfterInstall:
   - location: scripts/deploy_laravel.sh
     timeout: 300
     runas: root
    # - location: scripts/change_permissions.sh
      #  timeout: 300
      # runas: root
  ApplicationStart:
    #  - location: scripts/start_server.sh
    #  timeout: 120
    #  runas: root    
  ApplicationStop:
    # - location: scripts/stop_server.sh
    #  timeout: 120
    # runas: root
